<?php

declare(strict_types=1);

namespace Pinpoint\TaxSwitch\Api;

/**
 * This interface provides methods for retrieving configuration values
 */
interface ConfigHelperInterface
{
    /**
     * @var string
     */
    public const PATH_ENABLED = 'tax/tax_switch/enabled';

    /**
     * @var string
     */
    public const PATH_DEFAULT_DISPLAY = 'tax/tax_switch/default_display';

    /**
     * @return bool
     */
    public function isEnabled(): bool;

    /**
     * @return int
     */
    public function getDefaultDisplay(): int;
}
