<?php

declare(strict_types=1);

namespace Pinpoint\TaxSwitch\Helper;

use Magento\Framework\App\Helper\AbstractHelper;
use Pinpoint\TaxSwitch\Api\ConfigHelperInterface;

/**
 * This class is responsible for getting tax switch configuration
 */
class Config extends AbstractHelper implements ConfigHelperInterface
{
    /**
     * @inheritDoc
     */
    public function isEnabled(): bool
    {
        return (bool) $this->scopeConfig->getValue(self::PATH_ENABLED);
    }

    /**
     * @inheritDoc
     */
    public function getDefaultDisplay(): int
    {
        return (int) $this->scopeConfig->getValue(self::PATH_DEFAULT_DISPLAY);
    }
}
